#!/bin/bash

while getopts :f:la opt
do
    case $opt in
	f) pathToDirectory=$OPTARG
	   ;;
	l) list=1
	   ;;
	a) addNew=1
	   ;;
	*) echo 'Usage: imenik1.sh -f path [-l] '
	   exit -1
	   ;;
    esac
done

if [ -z $pathToDirectory ]
then
    echo 'Usage: imenik1.sh -f path [-l]'
    exit -1
fi

if [ ! -z $list ]
then
    cat $pathToDirectory | cut -d":" -f2
fi

if [ ! -z $addNew ]
then
    echo Insert name:
    read name
    echo Insert e-mail:
    read email
    email=$(echo $email | sed -nE 's/([a-Z0-9\.]+@{1}[a-Z0-9\.])/\1/p')
    if [ -z $email ]
    then
	echo 'Bad e-mail format, please insert again:'
	read email
	email=$(echo $email | sed -nE 's/([a-Z0-9\.]+@{1}[a-Z0-9\.])/\1/p')
	if [ -z $email ]
	then
	    echo 'Again bad e-mail format, insertion failed.'
	    exit -1
	fi
    fi
    newContact=$name:$email

    oldIFS=$IFS
    IFS=$'\n'
    for row in $(cat $pathToDirectory)
    do
	rowName=$(echo $row | cut -d":" -f1)
	#echo Ime: $rowName
	if [ $rowName == $name ]
	then
	    echo $newContact >> temp.txt
	    exists='true'
	else
	    echo $row >> temp.txt
	fi
    done
    IFS=$oldIFS
    
    if [ ! -z $exists ]
    then
	cat temp.txt > $pathToDirectory
	rm temp.txt
	echo 'Insertion completed'
	exit 1
    fi
    
    echo $newContact
    echo $newContact >> $pathToDirectory
    echo 'Insertion completed.'
fi



